ProducerSync API

Producer Addresses

Address information for producers

Get addresses for subscribed NPNs

Returns all address records for NPNs you are currently subscribed to.

If no query parameters are provided in the request, then the response will include all addresses
for all currently subscribed NPNs. To maximize effectiveness, we strongly recommend using at least one
parameter to narrow your results.

get
https://api.sandbox.agentsync.io/v2/addresses

Query Parameters

npnsarray[string]

comma separated list of National Producer Numbers (NPNs)

Example:123456789, 987654321

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json

Get addresses for a specific NPN

Returns all addresses associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.

get
https://api.sandbox.agentsync.io/v2/entities/{npn}/addresses

Query Parameters

statesarray[string]

comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field

Example:MO, CA, CO

updatedSincestring(date)

limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field

Example:2024-10-15

includeDeletedboolean

specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field

Default:true

sizeinteger(int64)

the number of objects on the page (min = 1 / max = 1,000)

Default:250

>= 1<= 1000

continuationTokenstring

Token for fetching the next page of results

Path Parameters

npnstringrequired

National Producer Number (npn) of the data to return

Example:123456789

Response

application/hal+json

Success

embeddedobject
Show Child Parameters
linksobject
Show Child Parameters
 
application/hal+json

Get address by ID

Retrieves a single address record using its unique address ID.

get
https://api.sandbox.agentsync.io/v1/addresses/{id}

Path Parameters

idintegerrequired

Unique address ID

Response

application/hal+json

Success

AddressV1

Common address fields shared across versions.

idinteger(int64)

Unique identifier for the address.

Example:1234567

npnstring

National Producer Number associated with the address.

Example:18551108

transactionIdstring(uuid)

Example:ae51f10b-8b5e-40ba-98a9-8f860392b344

typestring

Type of address. One of BUSINESS, MAILING, RESIDENCE

Allowed values:BUSINESSMAILINGRESIDENCE

Example:BUSINESS

forStatestring

State where the address applies.

>= 2 characters<= 2 characters

Example:AL

branchIdstring

Identifier for a related branch, if applicable.

niprDateUpdatedstring(date)

Last date NIPR reported an update to this address.

Example:2024-12-01

createdAtstring(date)

Date of the creation of this record in AgentSync.

Example:2021-04-04

updatedAtstring(date)

Date of the most recent update to this record in AgentSync.

Example:2024-12-02

line1string

Street address.

Example:789 S Washington Ave

citystring

City of the address.

Example:Denver

statestring

State of the address.

Example:CO

zipstring

ZIP or postal code.

Example:80211

countrystring

Country of the address.

Example:U.S.A.

niprDeletedboolean

Indicates if the address was marked deleted by NIPR.

linksobject
Show Child Parameters
 
application/hal+json

Producer Appointments

Appointment information for producers